# Generated by Django 4.2.13 on 2024-11-20 13:15

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    dependencies = [
        ("api", "0021_generativemodel"),
    ]

    operations = [
        migrations.AddField(
            model_name="chatbot",
            name="provider",
            field=models.ForeignKey(
                blank=True,
                help_text="If null, uses default provider",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="api.provider",
            ),
        ),
        migrations.AlterField(
            model_name="chatbot",
            name="generative_model",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="chatbots",
                to="api.generativemodel",
            ),
        ),
    ]
